maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Karl-Heinz Marbaise (JIRA)" <j...@codehaus.org>
Subject [jira] (MCOMPILER-223) Move to a non-ancient maven-toolchain dependency
Date Thu, 15 Jan 2015 22:59:18 GMT

     [ https://jira.codehaus.org/browse/MCOMPILER-223?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Karl-Heinz Marbaise updated MCOMPILER-223:
------------------------------------------

    Fix Version/s: 3.3

> Move to a non-ancient maven-toolchain dependency
> ------------------------------------------------
>
>                 Key: MCOMPILER-223
>                 URL: https://jira.codehaus.org/browse/MCOMPILER-223
>             Project: Maven Compiler Plugin
>          Issue Type: Bug
>            Reporter: Noa Resare
>            Priority: Minor
>             Fix For: 3.3
>
>
> It turns out that the maven-toolchain-1.0.jar available form maven central has some serious
issues resulting in it not being extractable by the oracle provided jar tool (the toplevel
directories in the archives are empty files and not directories, which breaks extraction)
> Some tools (IntelliJ in my case) expect to be able to extract jarfiles to be able to
see the contents.
> Looking into the maven-toolchain artifact it seems like it has moved into maven-core
for 3.x versions, but for 2.x versions it kind of tracks the maven release.
> Because of this, I propose that we use $mavenVersion for the maven-toolchain dependency
(2.0.9 in our case) which seems to do the right thing and works around my broken-jar-problem
nicely.



--
This message was sent by Atlassian JIRA
(v6.1.6#6162)

Mime
View raw message